# class ListIterator | Iterator for KJS::List objects. More...
Full name | `KJS::ListIterator`
Definition | `#include <types.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ListIterator (const List &list)
- ListIterator& operator= (const ListIterator &iterator)
- ListIterator (const ListIterator &i)
- KJSO* operator-> () const
- KJSO operator* () const
- KJSO operator++ ()
- KJSO operator++ (int)
- KJSO operator-- ()
- KJSO operator-- (int)
- bool operator== (const ListIterator &it) const
- bool operator!= (const ListIterator &it) const

## Detailed Description

ListIterator (const List &list) | ### ListIterator

Construct an iterator that points to the first element of the list.

Parameters:

l | The list the iterator will operate on.

ListIterator& operator= (const ListIterator &iterator) | ### operator=

Assignment constructor.

ListIterator (const ListIterator &i) | ### ListIterator

Copy constructor.

KJSO* operator-> () | ### operator->

[const]

Dereference the iterator.

Returns: A pointer to the element the iterator operates on.

KJSO operator* () | ### operator*

[const]

KJSO operator++ () | ### operator++

Postfix increment operator.

Returns: The element after the increment.

KJSO operator++ (int) | ### operator++

Prefix increment operator.

KJSO operator-- () | ### operator--

Postfix decrement operator.

KJSO operator-- (int) | ### operator--

Prefix decrement operator.

bool operator== (const ListIterator &it) | ### operator==

[const]

Compare the iterator with another one.

Returns: True if the two iterators operate on the same list element. False otherwise.

bool operator!= (const ListIterator &it) | ### operator!=

[const]

Check for inequality with another iterator.

Returns: True if the two iterators operate on different list elements.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:56 2001, using kdoc 2.0a53.